Role Name
=========

A role that installs and configures Docker and eventually prepares Docker Swarm, <https://docker.com>.
The Docker Swarm nodes configuration is managed by a separate role.
cAdvisor is also installed, as standalone package and not as container. The standalone package does not require a local Prometheus instance

Role Variables
--------------

The most important variables are listed below:

``` yaml
docker_swarm: False
docker_swarm_manager: False
docker_swarm_manager_availability: 'drain'
docker_swarm_node: False
docker_swarm_node_availability: 'active'
docker_swarm_allowed_hosts:
  - '0.0.0.0/0'

# Set this to one of the manager hostnames to be able to initialize the cluster
docker_swarm_manager_main_node_hostname: localhost
# Set this on one of the masters
docker_swarm_manager_main_node: False
docker_run_as_docker_user: True
docker_user_home: /home/docker
docker_defaults_file: /etc/default/docker
docker_enable_tcp_socket: False
docker_tcp_socket_port: 2375
docker_api_port: 2376
docker_tcp_socket_host: 127.0.0.1
docker_log_to_journal: True
```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
